\version "2.13.29"

\include "orchestrallily/oly_settings_names.ily"

scorenumber="EK-0057"

#( define dat      ( strftime "%d.%m.%Y, %H:%M" ( localtime ( current-time ))))

\header {
  title = "Ad te levavi"
  titlepagetitle = "Ad te levavi"
  subtitle = "Offertorium"
  titlepagesubtitle = "Offertorium"
  composer = "Benedict Randhartinger (1802-1893)"
  arranger = "Bearbeitung: Roman Zäch (1875)"
  copyright = \markup \abs-fontsize #9 \column{
      \line { 2010, \with-url #"http://www.edition-kainhofer.com/" {Edition Kainhofer, Vienna,} \concat{\fromproperty #'header:scorenumber .} Alle Rechte vorbehalten / All rights reserved / Printed in Austria. }
%       \line {"Die Ausgabe darf kopiert und ohne Einschränkungen aufgeführt werden. / May be copied and performed without restriction."}
  }
  ensemble = \markup{\center-column { \line{Bearbeitung für Alt- und Viola-Solo} \line{mit Streicherbegleitung}}}
  enteredby = "Roman Zäch (1875)"
%   date = \markup {\dat}
}

%% Possibly adjust the \orchestralScoreStructure here...

%% Add custom keys here, e.g.
%% CorKey = \key g \major
%% CorIKey = \CorKey
%% CorIIKey = \CorKey

\orchestralScoreStructure #'(
	("Solo" "SimultaneousMusic" ("ASolo" "VaSolo"))
	("Str" "StaffGroup" ("VI" "VII" "Va" "VcB"))
	("FullScore" "SimultaneousMusic" ("Solo" "Str"))
)
\layout {
	\context {  \Staff
		\override VerticalAxisGroup #'remove-empty = ##f
	}
	\context { \Staff
		\override ParenthesesItem #'font-size = #4
% 		\override ParenthesesItem #'color = #red
	}
	\context { \Staff
		\override MultiMeasureRest #'spacing-pair =
		#(lambda (grob)
			 (cons 'break-alignment
				 (if (> (ly:grob-property grob 'measure-count) 1)
					'break-alignment
					'staff-bar)))
	 }
}
myTitleMarkup = \markup {
	  \override #'(baseline-skip . 2.75)
	  \column {
		  \fill-line {
	      \fromproperty #'header:logo
	      \override #'(baseline-skip . 3.25) \center-column {
	        \bold \abs-fontsize #18 \fromproperty #'header:title
	        \bold \abs-fontsize #12 \fromproperty #'header:subtitle
	        \abs-fontsize #11 \fromproperty #'header:subsubtitle
	      }
	      \bold \abs-fontsize #11 \when-property #'header:instrument \rounded-box \fromproperty #'header:instrument
	    }
	    \fill-line {
	      \with-dimensions #'( 0 . 0) #'( 0 . 1 ) \null
	    }

	    \fill-line {
		    \abs-fontsize #10 \fromproperty #'header:poet
		    \abs-fontsize #10 \fromproperty #'header:composer
	    }
	    \fill-line {
		    \abs-fontsize #10 \fromproperty #'header:meter
		    \abs-fontsize #10 \fromproperty #'header:arranger
	    }
	  }
	}
\paper {
	bookTitleMarkup = \myTitleMarkup
	system-system-spacing #'padding = #1
}

VaSoloMidiInstrument = "accoustic grand"
ASoloMidiInstrument = "accoustic grand"
VaMidiInstrument = "violin"

myTitlePageMarkup = \markup \abs-fontsize #10 \when-property #'header:title \column {
  \vspace #4
  \fill-line { \fontsize #8 \fromproperty #'header:composer }
  \vspace #1
  \fill-line { \fontsize #8 \fromproperty #'header:poet }
  \vspace #4
  \fill-line { \fontsize #10 \bold \fromproperty #'header:title }
  \vspace #1
  \fontsize #2 \when-property #'header:subtitle {
    \fill-line { \fromproperty #'header:subtitle }
    \vspace #1
  }
  \fill-line { \postscript #"-20 0 moveto 40 0 rlineto stroke" }
  \vspace #7
  \fill-line { \fontsize #5 \fromproperty #'header:ensemble }
  \vspace #0.5
  \fill-line { \fontsize #2 \fromproperty #'header:instruments }
  \vspace #6
  \fill-line { \fontsize #5 \fromproperty #'header:date }
  \vspace #2
  \fill-line { \fontsize #5 \fromproperty #'header:scoretype }
  \vspace #1
  \when-property #'header:instrument {
    \fill-line { \bold \fontsize #6 \rounded-box \fromproperty #'header:instrument }
  }
  \vspace #5
  \fontsize #2 \when-property #'header:enteredby \override #'(baseline-skip . 3.75) \left-align\center-column {
    \fill-line { "Bearbeitung: / Arrangement:"}
    \fill-line { \fromproperty #'header:enteredby }
  }
  \fill-line {
    \when-property #'header:arrangement \column {
      \vspace #8
      \fill-line { \fontsize #3 \fromproperty #'header:arrangement }
    }
  }
  \vspace #9
  \fill-line { \fromproperty #'header:copyright }
}

